%define	dataver		2.2005.02.13
%define	discover_libs	-lexpat -lcurl  -lssl -lcrypto -ldl  -lssl -lcrypto -lz

Summary:	Program for retrieving information about a system's hardware.
Name:		discover
Version:	2.0.7
Release:	5
Source0:	http://archive.progeny.com/progeny/discover/%{name}-%{version}.tar.gz
Source1:	http://archive.progeny.com/progeny/discover/%{name}-data-%{dataver}.tar.gz
Patch0:		discover-2.0.7-nodocs-gd-1.diff
Patch1:		discover-2.0.7-initscript-gd-1.diff
Patch2:		discover-2.0.7-modprobe-mkdir-gd-1.diff
Patch3:		discover-2.0.7-no-discover-static-gd-1.diff
Patch4:		discover-2.0.7-megaraid2-now-megaraid_mbox-gd-1.diff
License:	Unknown
Group:		System Environment/Daemons
Prereq:         /sbin/chkconfig /usr/sbin/useradd
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
This package contains a library and front-end program for retrieving
information about a system's hardware.  It uses system-dependent code
to scan the hardware and system-independent code to query XML data
sources for information about said hardware, the latter being the bulk
of the work.  The Discover program provides a full interface to the
hardware-querying functionality of the library, but not the lower
levels.  Other programs may be introduced in the future to provide
access to these other layers (for querying the XML data sources
separately from the system's hardware, for example).

%files
  %defattr(-,root,root)
  %defattr(0444,root,root,055)

  %attr(0640,root,admin)	%{_sysconfdir}/discover.conf.d/00discover
  %attr(0640,root,admin)	%{_sysconfdir}/discover-modprobe.conf
  %attr(0700,root,root)		%{_sysconfdir}/init.d/discover

  %attr(0510,root,admin)	%{_bindir}/discover
  %attr(0510,root,admin)	%{_bindir}/discover-config
  %attr(0510,root,admin)	%{_bindir}/discover-xml

  %attr(0500,root,root)		%{_sbindir}/discover-modprobe

  %attr(0555,root,root)		%{_libdir}/libdiscover.so.*

  %attr(0440,root,admin)	%{_datadir}/discover/*.lst
  %attr(0440,root,admin)	%{_datadir}/discover/*.xml
  %attr(0440,root,admin)	%{_datadir}/discover/dtd/*.dtd

  %attr(0510,root,admin)	%{_datadir}/tools/lst2xml

%package devel
Summary:	Headers and static libraries for the discover package.
Group:		Development/Libraries
Requires:	discover = %{version}-%{release}

%description devel
The discover-devel packages contains the header files and static
libraries for developing programs which will use the discover hardware
detection library.

%files devel
  %defattr(0444,root,root,0555)

  %attr(0444,root,root)		%{_includedir}/discover/*.h
  %attr(0444,root,root)		%{_libdir}/libdiscover.a
  %attr(0444,root,root)		%{_libdir}/libdiscover.la
  %attr(0555,root,root)		%{_libdir}/libdiscover.so

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
  %configure

  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS="%{discover_libs}" %{?_smp_mflags}

  pushd discover-data-%{dataver}
    make %{?_smp_mflags}
  popd

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  pushd discover-data-%{dataver}
    %makeinstall
  popd

  #
  # XXX
  #
  pushd $RPM_BUILD_ROOT/usr/share/discover
    cat list.xml | sed s,/usr/local,/usr,g > list.xml.new
    mv list.xml.new list.xml
  popd

%post
  /sbin/chkconfig --add discover

%preun
  if [ $1 = 0 ]; then
    /etc/init.d/discover stop > /dev/null 2>&1
    /sbin/chkconfig --del discover
  fi


%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.7, Release 5
  - Override LIBS at buildttime.

* Thu Sep 01 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.7, Release 4
  - s/megaraid2/megaraid_mbox/g.

* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 2.0.7, Release 3
  - Added %post and %preun that runs chkconfig

* Tue Aug 23 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.7, Release 2
  - Correct date in previous changelog entry.
  - Fix typo in files (rook).

* Tue Aug 23 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
